Create tax profile
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "Tax_Profile",
"tax_country_code": "US",
"us_configuration": {
"federal": {
"annual_w2_income": 123,
"tip_income": 123,
"overtime_income": 123,
"withholding": {
"use_custom_withholding": true,
"amount": 123
}
},
"state": {
"tax_state": "CA",
"num_exemptions": 123,
"withholding": {
"use_custom_withholding": true,
"amount": 123
}
},
"deductions": {
"home_office": {
"use_home_office_deduction": true,
"home_office_area": 123
},
"vehicle": {
"use_mileage_deduction": false,
"vehicle_business_percent": 123,
"mileage": {
"use_user_estimated_business_mileage": true,
"user_estimated_business_mileage": 123
}
}
},
"business_estimates": {
"expenses": {
"use_user_estimated_business_expenses": true,
"user_estimated_business_expenses": 123
},
"revenue": {
"use_user_estimated_business_revenue": true,
"user_estimated_business_revenue": 123
}
}
},
"ca_configuration": {},
"user_has_saved_tax_profile": true
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/profile"
payload = {
"type": "Tax_Profile",
"tax_country_code": "US",
"us_configuration": {
"federal": {
"annual_w2_income": 123,
"tip_income": 123,
"overtime_income": 123,
"withholding": {
"use_custom_withholding": True,
"amount": 123
}
},
"state": {
"tax_state": "CA",
"num_exemptions": 123,
"withholding": {
"use_custom_withholding": True,
"amount": 123
}
},
"deductions": {
"home_office": {
"use_home_office_deduction": True,
"home_office_area": 123
},
"vehicle": {
"use_mileage_deduction": False,
"vehicle_business_percent": 123,
"mileage": {
"use_user_estimated_business_mileage": True,
"user_estimated_business_mileage": 123
}
}
},
"business_estimates": {
"expenses": {
"use_user_estimated_business_expenses": True,
"user_estimated_business_expenses": 123
},
"revenue": {
"use_user_estimated_business_revenue": True,
"user_estimated_business_revenue": 123
}
}
},
"ca_configuration": {},
"user_has_saved_tax_profile": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'Tax_Profile',
tax_country_code: 'US',
us_configuration: {
federal: {
annual_w2_income: 123,
tip_income: 123,
overtime_income: 123,
withholding: {use_custom_withholding: true, amount: 123}
},
state: {
tax_state: 'CA',
num_exemptions: 123,
withholding: {use_custom_withholding: true, amount: 123}
},
deductions: {
home_office: {use_home_office_deduction: true, home_office_area: 123},
vehicle: {
use_mileage_deduction: false,
vehicle_business_percent: 123,
mileage: {
use_user_estimated_business_mileage: true,
user_estimated_business_mileage: 123
}
}
},
business_estimates: {
expenses: {
use_user_estimated_business_expenses: true,
user_estimated_business_expenses: 123
},
revenue: {
use_user_estimated_business_revenue: true,
user_estimated_business_revenue: 123
}
}
},
ca_configuration: {},
user_has_saved_tax_profile: true
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Tax_Profile",
"tax_country_code": "US",
"us_configuration": {
"federal": {
"annual_w2_income": 123,
"tip_income": 123,
"overtime_income": 123,
"withholding": {
"use_custom_withholding": true,
"amount": 123
}
},
"state": {
"tax_state": "CA",
"num_exemptions": 123,
"withholding": {
"use_custom_withholding": true,
"amount": 123
}
},
"deductions": {
"home_office": {
"use_home_office_deduction": true,
"home_office_area": 123
},
"vehicle": {
"use_mileage_deduction": false,
"vehicle_business_percent": 123,
"mileage": {
"use_user_estimated_business_mileage": true,
"user_estimated_business_mileage": 123
}
}
},
"business_estimates": {
"expenses": {
"use_user_estimated_business_expenses": true,
"user_estimated_business_expenses": 123
},
"revenue": {
"use_user_estimated_business_revenue": true,
"user_estimated_business_revenue": 123
}
}
},
"ca_configuration": {},
"user_has_saved_tax_profile": true
}
}{
"description": "<string>",
"meta": {}
}{
"description": "<string>",
"meta": {}
}Tax Estimates
Create tax profile
Creates a new tax profile for the business.
POST
/
v1
/
businesses
/
{businessId}
/
tax-estimates
/
profile
Create tax profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Body
application/json
Tax profile configuration for a business.
Resource type.
Example:
"Tax_Profile"
The ISO 3166-1 alpha-2 country code.
Pattern:
^[A-Z]{2}$Example:
"US"
US-specific tax configuration.
Show child attributes
Show child attributes
Canadian-specific tax configuration (future use).
Whether the user has explicitly saved their tax profile configuration.
Response
Tax profile created successfully.
Tax profile configuration for a business.
Show child attributes
Show child attributes
⌘I